Generate Report

Generate Report
API to generate security assessment reports.

Generate security assessment reports based on data collected for security assessment. After generation, use /security-assessment/reports/{id}/status to track the report status.

Request
URI
POST
https://{api_host}/ssp/security-assessment/reports
COPY
Request Body

Details in the request for report generation.

ReportInfo of type(s) application/json
Required  
This request body class requires all of the following: ManagedResource , InlineReportInfo1
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "start_date": 0,
    "segmentation_score_mode": "string",
    "timezone": "string",
    "end_date": 0,
    "file_size": "number",
    "scores": [
        {
            "score_type": "string",
            "total_score": "number",
            "total_score_for_display": "number",
            "last_calculated_on": "number",
            "feature_scores": [
                {
                    "feature_type": "string",
                    "score": "number",
                    "max_score": "number",
                    "category_scores": [
                        {
                            "category_type": "string",
                            "score": "number",
                            "max_score": "number",
                            "sub_category_scores": [
                                {
                                    "score": "number",
                                    "max_score": "number",
                                    "sub_category_type": "string"
                                }
                            ]
                        }
                    ]
                }
            ],
            "segmentation_score_mode": "string"
        }
    ]
}
Authentication
This operation uses the following authentication methods.
Responses
200

Report is queued successfully.

Returns ReportInfo of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineReportInfo1
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "start_date": 0,
    "segmentation_score_mode": "string",
    "timezone": "string",
    "end_date": 0,
    "file_size": "number",
    "scores": [
        {
            "score_type": "string",
            "total_score": "number",
            "total_score_for_display": "number",
            "last_calculated_on": "number",
            "feature_scores": [
                {
                    "feature_type": "string",
                    "score": "number",
                    "max_score": "number",
                    "category_scores": [
                        {
                            "category_type": "string",
                            "score": "number",
                            "max_score": "number",
                            "sub_category_scores": [
                                {
                                    "score": "number",
                                    "max_score": "number",
                                    "sub_category_type": "string"
                                }
                            ]
                        }
                    ]
                }
            ],
            "segmentation_score_mode": "string"
        }
    ]
}

400

Invalid request.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

Unexpected error.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Vendor Extension

This operation contains the following vendor extensions defined in the spec:

                    ["platform-pov-all"]
                
Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"display_name":"{}","start_date":"integer","site_ids":"{}"}' https://{api_host}/ssp/security-assessment/reports